	<<?php echo esc_attr( $title_tag );?> class="title <?php echo esc_attr(implode(' ', $title_classes)); ?>" <?php echo $title_mouse_helper?> >

		<?php if ( $title_shadow_text ) { ?>
		<span class="title-shadow-text <?php echo esc_attr(implode(' ', $title_shadow_text_class)); ?>"><?php echo esc_html( $title_shadow_text );?></span>
		<?php } ?>

		<?php if ( $title_text ) { ?>
		<span class="title-part1 <?php echo esc_attr(implode(' ', $title_part1_classes)); ?>"><?php echo ( $title_text );?></span>
		<?php } ?>
		
		<?php 
		foreach (  $title_list as $item ) {
			$title_part_classes = array();
			$title_part_classes[] = 'elementor-repeater-item-'.$item['_id'];
			if( $item['title_other_slide_animation'] == 'yes' ) {
				$title_part_classes[] = 'tm-onappear-slide-animation';
			}
			?>


			
			<?php 

			if( isset( $item['cursor_mouseover_image']['id'] ) && !empty( $item['cursor_mouseover_image']['id'] ) ) {
			$img = "<img src='".$item['cursor_mouseover_image']['url']."' alt=''>"

			?>
			<a href="<?php if( $item['link_url'] ) { echo esc_url( $item['link_url'] ); } ?>" class="tm-floating-cursor-image-item" data-cursor-image="<?php echo esc_attr( $img );?>">
				<span class="<?php echo esc_attr(implode(' ', $title_part_classes)); ?>"><?php echo esc_html( $item['title_other_text'] );?></span>
			</a>
			<?php } else if( $item['link_url'] ) { ?>
			<a href="<?php echo esc_url( $item['link_url'] ) ?>">';
				<span class="<?php echo esc_attr(implode(' ', $title_part_classes)); ?>"><?php echo esc_html( $item['title_other_text'] );?></span>
			</a>
			<?php } else { ?>
			<span class="<?php echo esc_attr(implode(' ', $title_part_classes)); ?>"><?php echo esc_html( $item['title_other_text'] );?></span>
			<?php } ?>
		<?php } ?>

	</<?php echo esc_attr( $title_tag );?>>
	<div class="title-seperator-line"></div>